Skip to main content
PUT
/
v1
/
workspaces
/
{workspace_id}
/
credentials
/
llm
Set LLM credential
curl --request PUT \
  --url https://api.usezombie.com/v1/workspaces/{workspace_id}/credentials/llm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "<string>",
  "api_key": "<string>"
}
'
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

workspace_id
string<uuid>
required

Workspace identifier

Body

application/json
provider
string
required

LLM provider name (e.g. openai, anthropic)

api_key
string
required

API key for the provider — encrypted at rest, never echoed

Response

Credential stored